vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function(use)
	-- Packer can manage itself
	use('wbthomason/packer.nvim')

	-- colorschemes
	use('ayu-theme/ayu-vim')
	use('morhetz/gruvbox')
	use('dikiaap/minimalist')
	use('jacoborus/tender.vim')
	use('jpo/vim-railscasts-theme')
	use('rainux/vim-desert-warm-256')

	-- airline
	use('vim-airline/vim-airline')

	-- NerdTree stuff
	use('preservim/nerdtree')
	use('Xuyuanp/nerdtree-git-plugin')
	use('ryanoasis/vim-devicons')

	-- SuperTab
	use('ervandew/supertab')
	
	-- Auto-Complete
	use('ncm2/ncm2')
	use('roxma/nvim-yarp')
	-- enable ncm2 for all buffers
	-- autocmd BufEnter * call ncm2#enable_for_buffer()
	-- IMPORTANT: :help Ncm2PopupOpen for more information
	-- set completeopt=noinsert,menuone,noselect
	use('ncm2/ncm2-bufword') -- Basic completion
	use('ncm2/ncm2-path') -- Path completion
	use('ncm2/ncm2-jedi') -- Python completion

	-- Slime, for tmux repl-ing
	use('jpalardy/vim-slime')

	-- Telescope, fuzzy finding
	use('nvim-lua/plenary.nvim')
	use('nvim-telescope/telescope.nvim')

end)
